org.licas.query

## Class LicasQueryConst

- java.lang.Object
- - org.ai_heuristic.util.TextConst
  - - org.licas_text.util.QueryConst
    - - org.licas.query.LicasQueryConst

-     public class LicasQueryConst
      extends org.licas_text.util.QueryConst

  Some constant values relating to the default licas query engines.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EMPTYCOUNT`
    `static java.lang.String` | `LICASQUERY` Root licas query tag
    `static java.lang.String` | `MESSAGECOUNT`
    `static java.lang.String` | `MESSAGESIZE`
    `static java.lang.String` | `QUERYMEDIATOR`
    `static java.lang.String` | `QUERYMODEL`
    `static java.lang.String` | `QUERYREPLY`
    `static java.lang.String` | `SEARCHALLWEB` Search internet contents type
    `static java.lang.String` | `SEARCHAUTODATA` Search autonomic manager stats type
    `static java.lang.String` | `SEARCHMETADATA` Search metadata type
    `static java.lang.String` | `SEARCHWEBFOLDER` Search web folder type

    - ### Fields inherited from class org.licas_text.util.QueryConst

      `ALL, ANYNODE, ANYVALUE, ANYWILDCARDNUMBER, ASMATHCOMPARE, ASMATHEVAL, ASTEXT, ATOM, ATTRIBUTE, AUTHOR, BINDING, BINDINGS, BING, CHANNEL, CONSTRAINTSET, CONTAINSATEND, CONTAINSATSTART, COPYRIGHT, CREATOR, CS, DESCRIPTION, ENTRY, EQUALSATEND, EQUALSATSTART, EXACTNODE, EXISTS, FEED, FILECONTENTS, FILENAME, FILEPATH, FILEPATHS, GOOGLE, GUID, HEAD, ID, ITEM, JSON, LANGUAGE, LINECOUNT, LINESAFTER, LINESBEFORE, LINK, NAME, NAMElc, NAMEuc, NEXTCONSTRAINT, NOMATCHES, NOTEXISTS, NOTOK, NOTSTARTSWITH, NUMERICAL, OK, ONEWILDCARDNUMBER, PATTERNELEMENT, PUB_DATE, QID, QUERYCONSTRAINTS, QUERYLIST, QUERYPATTERN, QUERYREPLYPART, RDF, RESULT, RESULTS, RSS, SEARCHTYPE, SPARQL, STARTSWITH, STATS, SUBTREE, SUMMARY, SWOOGLE, TERMSEP, TEXT, TITLE, TOKENSEP, UPDATED, URI, VALUE, VARS, WC, XML, YAHOO`

    - ### Fields inherited from class org.ai_heuristic.util.TextConst

      `ADJECTIVE, ADVERB, AND, BAGOFWORDS, BAGOFWORDSTAG, CHARENCODING, COLON, CONTAINS, DIRECTION, EAST, ENDJAR, EQUALS, FILEURI, HTMLTYPE, HTTP, JAR, JARFILE, JARTYPE, KEYWORD, KEYWORDS, LICASJARFILE, METABAGOFWORDS, MINUS, NODIR, NORTH, NORTHEAST, NORTHWEST, NOTCONTAINS, NOTEQUALS, NOUN, OR, SOUTH, SOUTHEAST, SOUTHWEST, TAB, TEXTTYPE, TRUE, TYPELISTS, TYPES, VERB, WEST, XMLHEADER, XMLHEADERSTART, XMLTYPE, ZIPTYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicasQueryConst()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.ArrayList<java.lang.String>` | `getLicasSearchTypes()` Get a list of default licas-based search types.

    - ### Methods inherited from class org.licas_text.util.QueryConst

      `asTextOps, numTextOps, otherOps, textOps, uuid, xmlOps`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LICASQUERY

          public static final java.lang.String LICASQUERY

      Root licas query tag
      See Also:
        Constant Field Values

    - #### SEARCHMETADATA

          public static final java.lang.String SEARCHMETADATA

      Search metadata type
      See Also:
        Constant Field Values

    - #### SEARCHAUTODATA

          public static final java.lang.String SEARCHAUTODATA

      Search autonomic manager stats type
      See Also:
        Constant Field Values

    - #### SEARCHALLWEB

          public static final java.lang.String SEARCHALLWEB

      Search internet contents type
      See Also:
        Constant Field Values

    - #### SEARCHWEBFOLDER

          public static final java.lang.String SEARCHWEBFOLDER

      Search web folder type
      See Also:
        Constant Field Values

    - #### QUERYMEDIATOR

          public static final java.lang.String QUERYMEDIATOR

      See Also:
        Constant Field Values

    - #### QUERYMODEL

          public static final java.lang.String QUERYMODEL

      See Also:
        Constant Field Values

    - #### QUERYREPLY

          public static final java.lang.String QUERYREPLY

      See Also:
        Constant Field Values

    - #### MESSAGECOUNT

          public static final java.lang.String MESSAGECOUNT

      See Also:
        Constant Field Values

    - #### MESSAGESIZE

          public static final java.lang.String MESSAGESIZE

      See Also:
        Constant Field Values

    - #### EMPTYCOUNT

          public static final java.lang.String EMPTYCOUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LicasQueryConst

          public LicasQueryConst()

  - ### Method Detail

    - #### getLicasSearchTypes

          public static java.util.ArrayList<java.lang.String> getLicasSearchTypes()

      Get a list of default licas-based search types.
      Returns:
        a list of default search types.